<template>
  <div>

    <Loader v-if="loading" />

    <p class="center" v-else-if="!record">
      {{ 'No such record' | localization }}
    </p>

    <div v-else>
      <div class="breadcrumb-wrap">
        <router-link class="breadcrumb" to="/history">
          {{ 'History' | localization }}
        </router-link>
        <a class="breadcrumb">
          {{ record.typeText }}
        </a>
      </div>
      <div class="row">
        <div class="col s12 m6">
          <div :class="record.typeColor" class="card">
            <div class="card-content white-text">
              <p>
                {{ 'Description' | localization }}:
                {{ record.description }}
              </p>
              <p>
                {{ 'Amount' | localization }}:
                {{ record.amount }}
              </p>
              <p>
                {{ 'Category' | localization }}:
                {{ record.categoryName }}
              </p>
              <small>
                {{ record.date }}
              </small>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import localization from '@/filters/localization';

export default {
  name: "Details",
  data: () => ({
    loading: true,
    record: null
  }),
  async mounted() {
    const id = this.$route.params.id;
    const record = await this.$store.dispatch('getRecord', id);
    const category = await this.$store.dispatch('getCategory', record.categoryId);

    this.record = {
      ...record,
      categoryName: category.name,
      typeText: 'income' === record.type ? localization('Income') : localization('Outcome'),
      typeColor: 'income' === record.type ? 'green' : 'red'
    };

    this.loading = false;
  }
}
</script>

<style scoped>

</style>